> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given vendor opening balance.



## OpenAPI

````yaml api-reference/openapi.json put /api/vendors/{id}/opening-balance
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/vendors/{id}/opening-balance:
    put:
      tags:
        - Vendors
      summary: Edit the given vendor opening balance.
      operationId: VendorsController_editOpeningBalance
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VendorOpeningBalanceEditDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    VendorOpeningBalanceEditDto:
      type: object
      properties:
        openingBalance:
          type: number
          description: Opening balance
          example: 5000
        openingBalanceAt:
          type: string
          description: Opening balance date
          example: '2024-01-01'
        openingBalanceExchangeRate:
          type: number
          description: Opening balance exchange rate
          example: 1
        openingBalanceBranchId:
          type: number
          description: Opening balance branch ID
          example: 101
      required:
        - openingBalance

````